Get a Kubernetes bare metal node
GET
/v1/hosts/kubernetes_baremetal_nodes/{server_id}A request to /v1/hosts/kubernetes_baremetal_nodes/{server_id} will show details of a bare metal node specified in the path parameter.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
server_id*string
A unique identifier of a server used for a node. To find it out, proceed to the relevant request.
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/hosts/kubernetes_baremetal_nodes/4oeEXWd0"{ "id": "4oeEXWd0", "kubernetes_cluster_id": "WPe9DPdL", "kubernetes_cluster_node_id": "nXe0YXax", "kubernetes_cluster_node_number": 75, "rack_id": "4oeELvd0", "title": null, "location_id": 1536, "location_code": "location3175", "status": "active", "operational_status": "normal", "power_status": "powered_on", "configuration": "REMM R123", "private_ipv4_address": "10.0.0.171", "public_ipv4_address": "169.254.0.171", "lease_start_at": "2026-05-25", "scheduled_release_at": null, "type": "kubernetes_baremetal_node", "oob_ipv4_address": "198.29.114.3", "configuration_details": { "ram_size": null, "server_model_id": null, "server_model_name": null, "bandwidth_id": null, "bandwidth_name": null, "private_uplink_id": null, "private_uplink_name": null, "public_uplink_id": null, "public_uplink_name": null, "operating_system_id": null, "operating_system_full_name": null }, "labels": { "environment": "production", "service": "my-web-app", "example.com/project": "my-project", "example.com/owner": "my-team" }, "created_at": "2026-05-28T07:04:25Z", "updated_at": "2026-05-28T07:04:25Z"}{ "message": "Not found", "code": "NOT_FOUND"}